<?php
#-----------------------------------------------------#
#          ********* WAP-MOTORS *********             #
#             Made by   :  VANTUZ                     #
#               E-mail  :  vsem@pizdec.ru             #
#                 Site  :  http://pizdec.ru           #
#             WAP-Site  :  http://visavi.net          #
#                  ICQ  :  36-44-66                   #
#  Вы не имеете право вносить изменения в код скрипта #
#-----------------------------------------------------#
$text=file("local/forum.dat");
$t=count($text);
$a2="-1"; $z=$t-1;
$fid="0"; $itogofor="0"; $itogotem="0"; $itogomsg="0";
do
{$a2++; $data=explode("|", $text[$a2]);
if (!file_exists("local/dataforum/mainforum$data[0].dat")) continue;
$lines=file("local/dataforum/mainforum$data[0].dat");
$i=count($lines);
$n="0"; $a1="-1"; $u=$i-1;
do 
	{$a1++; $dt=explode("|", $lines[$a1]);
$itogotem=$itogotem+$dt[4]; $itogomsg=$itogomsg+$dt[5];
	} while($a1 < $u);
} while($a2 < $z);

$dir = opendir ("local/dataforum"); 
while ($file = readdir ($dir)) 
{if (ereg("top", $file)) 
{$itogofor++;}} 
closedir ($dir); 		


echo ' ('.(int)$itogofor.'/'.(int)$itogotem.'/'.(int)$itogomsg.')<br>';
?>